CallerContext (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.ipc, class: CallerContext

Package org.apache.hadoop.ipc

# Class CallerContext

java.lang.Object
org.apache.hadoop.ipc.CallerContext

@Public @Evolving public final class CallerContext extends Object
A class defining the caller context for auditing coarse granularity operations. This class is immutable.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `org.apache.hadoop.ipc.CallerContext.Builder`
  The caller context builder.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLIENT_CALL_ID_STR`
  `static final String`
  `CLIENT_ID_STR`
  `static final String`
  `CLIENT_IP_STR`
  `static final String`
  `CLIENT_PORT_STR`
  `static final String`
  `PROXY_USER_PORT`
  `static final String`
  `REAL_USER_STR`
  `static final Charset`
  `SIGNATURE_ENCODING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getContext()`
  `static CallerContext`
  `getCurrent()`
  `byte[]`
  `getSignature()`
  `int`
  `hashCode()`
  `boolean`
  `isContextValid()`
  `static void`
  `setCurrent(CallerContext callerContext)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SIGNATURE_ENCODING

    public static final Charset SIGNATURE_ENCODING

  - ### CLIENT_IP_STR

    public static final String CLIENT_IP_STR
    See Also:
      - Constant Field Values

  - ### CLIENT_PORT_STR

    public static final String CLIENT_PORT_STR
    See Also:
      - Constant Field Values

  - ### CLIENT_ID_STR

    public static final String CLIENT_ID_STR
    See Also:
      - Constant Field Values

  - ### CLIENT_CALL_ID_STR

    public static final String CLIENT_CALL_ID_STR
    See Also:
      - Constant Field Values

  - ### REAL_USER_STR

    public static final String REAL_USER_STR
    See Also:
      - Constant Field Values

  - ### PROXY_USER_PORT

    public static final String PROXY_USER_PORT
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getContext

    public String getContext()

  - ### getSignature

    public byte[] getSignature()

  - ### isContextValid

    @Private public boolean isContextValid()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCurrent

    public static CallerContext getCurrent()

  - ### setCurrent

    public static void setCurrent(CallerContext callerContext)